#include <iostream>

using namespace std;

int main(){
	int size; // размер массива
    int k; // вводимый индекс
    int min; // минимальное значение массива

	// ввод размера матрицы
	cout << "Input size of array: ";
	cin >> size;

	if (size < 1){
		cout << "Size cannot be less than 1." << endl;
		return 0;
	}

    int *array = new int [size]; // исходный массив
    // ввод элементов массива
    cout << "Input array's elements:" << endl;
    for (int i = 0; i < size; i++){
        cout << i + 1 << " element: ";
        cin >> array[i];
    }
    // вывод элементов массива
    cout << "Entered array: ";
    for (int i = 0; i < size; i++){
        cout << array[i] << " ";
    }

    // ввод k
    cout << endl << "Input k: ";
    cin >> k;

    // проверяем, существует ли индекс k в массиве
    if ((k < 0) || (k > size)){
        cout << "The \"k\" doesn't exist." << endl;
        return 0;
    }
    // уменьшаем k на 1, так как отсчёт в массивах начниается с нуля
    k = k - 1;

    // вычисляем минимальное значение
    min = array[0];
    for (int i = 0; i < size; i++){
        if (min > array[i]){
            min = array[i];
        }
    }

    // заменяем элемент под индексом k на минимальный
    array[k] = min;

    cout << "Modified array: ";
    for (int i = 0; i < size; i++){
        cout << array[i] << " ";
    }
    cout << endl;

    delete[] array;
    
	return 0;
}